<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
    <head>
        <title>Count Encoding Inputs</title>
    </head>
    <body>
        <table style="width: 50%; border-spacing: 0;">
            <caption style="width: 100%; font-size: 25px; padding-bottom: 15px;">Counted encoded inputs</caption>
            <tr style="width: 100%;">
                <th id="input" style="border-bottom: 1px solid gray; border-right: 1px solid gray;">Input</th>
                <th id="number" style="border-bottom: 1px solid gray; border-right: 1px solid gray;">Number</th>
            </tr>
            <th:block th:each="entry : ${encodingInputsMap}">
                <tr>
                    <td th:text="${entry.getKey()}" style="border-bottom: 1px solid gray; border-right: 1px solid gray; text-align: center;"></td>
                    <td th:text="${entry.getValue()}" style="border-bottom: 1px solid gray; border-right: 1px solid gray; text-align: center;"></td>
                </tr>
            </th:block>
        </table>
    </body>
</html>
